org.apache.http.client.protocol

## Class RequestTargetAuthentication

- java.lang.Object
- - org.apache.http.client.protocol.RequestTargetAuthentication

- All Implemented Interfaces:
    org.apache.http.HttpRequestInterceptor

  Deprecated.
  (4.3) use `HttpAuthenticator`.

      @Deprecated
      @Contract(threading=IMMUTABLE)
      public class RequestTargetAuthentication
      extends Object

  Generates authentication header for the target host, if required, based on the actual state of the HTTP authentication context.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestTargetAuthentication()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestTargetAuthentication

          public RequestTargetAuthentication()

      Deprecated.

  - ### Method Detail

    - #### process

          public void process(org.apache.http.HttpRequest request,
                     org.apache.http.protocol.HttpContext context)
                       throws org.apache.http.HttpException,
                              IOException

      Deprecated.
      Throws:
        `org.apache.http.HttpException`
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.